tasty-ant-xml-1.1.9: Render tasty output to XML for Jenkins

Safe Haskell | None
Language | Haskell98

Test.Tasty.Runners.AntXML

Description

Run a `TestTree` and produce an XML file summarising the test results in the same schema that would be produced by Apache Ant's JUnit test runner. This schema can be intepreted by the Jenkins continuous integration server, amongst other tools.

Synopsis

- antXMLRunner :: Ingredient
- newtype AntXMLPath = AntXMLPath FilePath

# Documentation

antXMLRunner :: Ingredient Source #

To run tests using this ingredient, use `defaultMainWithIngredients`, passing `antXMLRunner` as one possible ingredient. This ingredient will run tests if you pass the `--xml` command line option. For example, `--xml=junit.xml` will run all the tests and generate `junit.xml` as output.

newtype AntXMLPath Source #

Constructors

AntXMLPath FilePath |

#### Instances

Instances details

IsOption (Maybe AntXMLPath) Source # |
Instance details Defined in Test.Tasty.Runners.AntXML Methods defaultValue :: Maybe AntXMLPath Source # parseValue :: String -> Maybe (Maybe AntXMLPath) Source # optionName :: Tagged (Maybe AntXMLPath) String Source # optionHelp :: Tagged (Maybe AntXMLPath) String Source # showDefaultValue :: Maybe AntXMLPath -> Maybe String Source # optionCLParser :: Parser (Maybe AntXMLPath) Source #